package dic;

/**
 * Created by mxq on 18/4/12.
 * desc:合同状态
 */
public enum ContractStatusEnum {

    WAIT("wait", "未执行"),
    EXECUTING("executing", "执行中"),
    END("end", "已结束"),

//    MONEY_BACK_ALL("backall", "已回款"),
//    MONEY_BACK_NONE("backnone", "未回款"),
//    MONEY_BACK_PART("backpart", "部分回款"),

    BACK_NONE("1_back", "未回款"),
    BACK_PART("2_back", "部分回款"),
    BACK_ALL("3_back", "已回款"),

    MONEY_BACK_FIRST("backfirst", "先回款待录入"),
    CANCEL("cancel", "作废"),
    SUSPEND("suspend", "中止"),
    NFORMAL("normal", "常规"),
    LATE("late", "晚录"),
    DELETE("del", "已删除"),

    FIRST_SIGNING("0", "首次签约"),
    RENEWAL("1", "续约"),
    SUPPLEMENTARY_AGREEMENT("2", "补充协议"),
    BLANK("", "");


    private String key;
    private String value;

    ContractStatusEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

}
